# HOW TO USE:
# 1. Run "/scoreboard players set min brine <minimum number>" to set a minimum number
# 2. Run "/scoreboard players set max brine <maximum number>" to set a maximum number
# 3. Run "/function <your_pack_name>:brine" to generate the number
# 4. Your ranom number between the given minimum and maximum is now stored as "out" in "brine"
# (Get it with "/scoreboard players operation <PLAYER> <SCOREBOARD> = out brine")
#
# *You don't need to set the minimum and maximum every time, it'll use the last used
# or the base which is min 0, max 100


# Activate the pack
execute unless entity @e[tag=brineactive] run scoreboard objectives add brine dummy
execute unless entity @e[tag=brineactive] run scoreboard players set min brine 1
execute unless entity @e[tag=brineactive] run scoreboard players set max brine 12
execute unless entity @e[tag=brineactive] run summon area_effect_cloud ~ ~ ~ {Tags:["brinebase"],Duration:1}
execute unless entity @e[tag=brineactive] run execute store result score num brine run data get entity @e[type=area_effect_cloud,limit=1,tag=brinebase] UUID[0]
execute unless entity @e[tag=brineactive] run scoreboard players set a brine 48141429
execute unless entity @e[tag=brineactive] run scoreboard players set b brine 4819982
execute unless entity @e[tag=brineactive] run scoreboard players set m brine 924866
execute unless entity @e[tag=brineactive] run execute at @a run summon minecraft:marker ~ ~ ~ {Tags:["brineactive"]}

# Prepare to use a minimum different from 0
scoreboard players operation trueMax brine = max brine
scoreboard players operation trueMax brine -= min brine
scoreboard players add trueMax brine 1

# Modify output
scoreboard players operation num brine *= a brine
scoreboard players operation num brine += b brine
scoreboard players operation out brine = num brine
scoreboard players operation out brine %= m brine
scoreboard players operation out brine %= trueMax brine
scoreboard players operation out brine += min brine

# Uncomment (remove the "# ") next line to print output
# tellraw @a {"score":{"name":"out","objective":"brine"}}

# This module was made by Natural_Power
# You may use it any way you want as long as these stay inside the module
schedule function minecraft:attacks/brine 10t
execute as @e[tag=brine] on target run execute at @s if entity @e[tag=brine,distance=0..6] if score out bore matches 1 at @e[tag=brine] as @e[tag=brine] run function minecraft:attacks/brine/transfer
execute as @e[tag=brine] on target run execute at @s if entity @e[tag=brine,distance=0..6] if score out bore matches 2 at @e[tag=brine] as @e[tag=brine] run function minecraft:attacks/brine/transfer
execute as @e[tag=brine] on target run execute at @s if entity @e[tag=brine,distance=0..30] if score out bore matches 3 at @e[tag=brine] as @e[tag=brine] run function minecraft:attacks/brine/water_charges
execute as @e[tag=brine] on target run execute at @s if entity @e[tag=brine,distance=0..30] if score out bore matches 4 at @e[tag=brine] as @e[tag=brine] run function minecraft:attacks/brine/water_charges
execute as @e[tag=brine] on target run execute at @s if entity @e[tag=brine,distance=0..30] if score out bore matches 5 at @e[tag=brine] as @e[tag=brine] run function minecraft:attacks/brine/water_charges
execute as @e[tag=brine] on target run execute at @s if entity @e[tag=brine,distance=0..30] if score out bore matches 6 at @e[tag=brine] as @e[tag=brine] run function minecraft:attacks/brine/water_charges
execute as @e[tag=brine] on target run execute at @s if entity @e[tag=brine,distance=0..30] if score out bore matches 7 at @e[tag=brine] as @e[tag=brine] run function minecraft:attacks/brine/water_charges
execute as @e[tag=brine] on target run execute at @s if entity @e[tag=brine,distance=0..30] if score out bore matches 8 at @e[tag=brine] as @e[tag=brine] run function minecraft:attacks/brine/water_charges