#>Mobs
scoreboard objectives add coas minecraft.used:minecraft.carrot_on_a_stick
scoreboard objectives add mace1 minecraft.used:minecraft.mace
scoreboard objectives add mace2 minecraft.used:minecraft.mace
scoreboard objectives add mace3 minecraft.used:minecraft.mace
scoreboard players add @a coas 0
scoreboard players add @a mace1 0
scoreboard players add @a mace2 0
scoreboard players add @a mace3 0
scoreboard objectives add Health dummy
execute unless entity @e[tag=spawningactive,type=marker] run function minecraft:spawning
execute unless entity @e[tag=brineactive,type=marker] run function minecraft:attacks/brine
execute unless entity @e[tag=boreactive,type=marker] run function minecraft:attacks/bore
execute unless entity @e[tag=boltactive,type=marker] run function minecraft:attacks/bolt
scoreboard objectives add px dummy
scoreboard objectives add py dummy
scoreboard objectives add pz dummy
scoreboard objectives add ax dummy
scoreboard objectives add ay dummy
scoreboard objectives add az dummy
scoreboard objectives add Walk dummy
scoreboard players set @e[scores={Walk=2..}] Walk 2
#breeze
#blaze
execute as @e[type=blaze] at @s unless entity @e[tag=brine,distance=0..35] run tag @s remove angryatbrine
execute as @e[type=blaze] at @s if entity @e[tag=brine,distance=0..30] unless entity @s[tag=angryatbrine] run damage @s 0.5 mob_attack by @e[tag=brine,distance=0..30,limit=1]
execute as @e[type=blaze] at @s if entity @e[tag=brine,distance=0..30] unless entity @s[tag=angryatbrine] run tag @s add angryatbrine
#bore
execute as @e[tag=borespawn] at @s run function minecraft:summon/bore
execute as @e[tag=borespawn] at @s run tp @s ~ ~-100 ~
execute as @e[tag=borespawn] at @s run kill @s
effect give @e[tag=bore] invisibility infinite 1 true
execute as @e[tag=bore] run execute store result score @s Health run data get entity @s Health
execute as @e[tag=bore_rods] at @s run tp @s ~ ~ ~ ~10 ~
execute as @e[tag=bore_rods] at @s run item replace entity @s weapon.offhand with shield[minecraft:custom_model_data=1]
execute as @e[tag=bore_rods] at @s run item replace entity @s weapon.mainhand with shield[minecraft:custom_model_data=1]
execute as @e[tag=bore_head] at @s run particle block{block_state:"minecraft:stone"} ~ ~ ~ 1 1 1 0.001 20 normal
execute as @e[tag=bore_rods] at @s unless entity @e[tag=bore_head,distance=0..7] run kill @s
execute as @e[tag=boreearthcharge] at @s unless entity @e[tag=bore_head,distance=0..30] run kill @s
execute as @e[tag=boreearthcharge] at @s unless block ~-1.1 ~ ~ air run kill @s
execute as @e[tag=boreearthcharge] at @s unless block ~ ~-1.1 ~ air run kill @s
execute as @e[tag=boreearthcharge] at @s unless block ~ ~ ~-1.1 air run kill @s
execute as @e[tag=boreearthcharge] at @s unless block ~1.1 ~ ~ air run kill @s
execute as @e[tag=boreearthcharge] at @s unless block ~ ~1.1 ~ air run kill @s
execute as @e[tag=boreearthcharge] at @s unless block ~ ~ ~1.1 air run kill @s
execute as @e[tag=earthchargedisplay] at @s unless entity @e[tag=boreearthcharge,distance=0..1] run kill @s
execute as @e[tag=boreearthcharge] at @s run effect give @e[tag=!bore,distance=0..1.9] slowness 30 2
execute as @e[tag=boreearthcharge] at @s run effect give @e[tag=!bore,distance=0..1.9] weakness 30 1
execute as @e[tag=bore] at @s run execute if score @s Health matches 0..10 run summon item ~ ~ ~ {Item:{id:"knowledge_book",Count:2b,components:{"minecraft:custom_model_data":1,"minecraft:custom_name":'[{"text":"Bore Rod","italic":false}]',"minecraft:rarity":"common","minecraft:max_stack_size":64}}}
execute as @e[tag=bore] at @s run execute if score @s Health matches 0..10 run kill @s
#brine
execute as @e[tag=brinespawn] at @s run function minecraft:summon/brine
execute as @e[tag=brinespawn] at @s run tp @s ~ ~-100 ~
execute as @e[tag=brinespawn] at @s run kill @s
execute as @e[tag=brine] at @s unless entity @e[type=blaze,distance=0..35] run tag @s remove angryatbrine
execute as @e[tag=brine] at @s if entity @e[type=blaze,distance=0..30] unless entity @s[tag=angryatbrine] run damage @s 0.5 mob_attack by @e[type=blaze,distance=0..30,limit=1]
execute as @e[tag=brine] at @s if entity @e[type=blaze,distance=0..30] unless entity @s[tag=angryatbrine] run tag @s add angryatbrine
scoreboard players set @e[tag=brine,nbt={Motion:[0.0,0.0,0.0]}] Walk 0
scoreboard players add @e[tag=brine] Walk 1
execute as @e[tag=brine] run execute store result score @s Health run data get entity @s Health
execute as @e[tag=brine] at @s unless block ~ ~2 ~ water run item replace entity @s armor.head with blaze_spawn_egg[minecraft:custom_model_data=3]
execute as @e[tag=brine,scores={Walk=1}] at @s if block ~ ~2 ~ water run item replace entity @s armor.head with blaze_spawn_egg[minecraft:custom_model_data=4]
execute as @e[tag=brine,scores={Walk=2}] at @s if block ~ ~2 ~ water run item replace entity @s armor.head with blaze_spawn_egg[minecraft:custom_model_data=5]
effect give @e[tag=brine] invisibility infinite 1 true
effect give @e[tag=brine] fire_resistance infinite 1 true
effect give @e[tag=brine] dolphins_grace infinite 7 true
execute as @e[tag=brine] at @s if block ~ ~2 ~ water run effect give @s speed 1 5 true
execute as @e[tag=brine] at @s if block ~ ~2 ~ water run execute as @e[distance=1..4] at @s if block ~ ~2 ~ water run effect give @s poison 30 2
execute as @e[tag=brine] at @s unless block ~ ~ ~ #buring run data remove entity @s HasVisualFire
execute as @e[tag=brine] at @s if block ~ ~ ~ #buring run damage @s 1 dry_out at ~ ~ ~
execute as @e[tag=brine] at @s unless block ~ ~2 ~ water run particle dripping_water ~ ~ ~ 0.2 1 0.2 0.001 1 normal
execute as @e[tag=brinewatercharge] at @s unless entity @e[tag=brine,distance=0..30] run kill @s
execute as @e[tag=waterchargedisplay] at @s unless entity @e[tag=brinewatercharge,distance=0..1] run kill @s
execute as @e[tag=brinewatercharge] at @s run particle falling_water ~ ~ ~ 0 0 0 0.001 3 normal
execute as @e[tag=brinewatercharge] at @s run effect give @e[tag=!brine,distance=0..1.9] poison 30 2
execute as @e[tag=brinewatercharge] at @s run effect give @e[tag=!brine,distance=0..1.9] nausea 30 2
execute as @e[tag=brine] at @s run execute if score @s Health matches 0..10 run summon item ~ ~ ~ {Item:{id:"debug_stick",Count:2b,components:{"minecraft:custom_model_data":1,"minecraft:custom_name":'[{"text":"Brine Rod","italic":false}]',"minecraft:rarity":"rare","minecraft:max_stack_size":64}}}
execute as @e[tag=brine] at @s run execute if score @s Health matches 0..10 run kill @s
#bolt
execute as @e[type=player,gamemode=survival] at @s if entity @e[tag=bolt,distance=0..5] run advancement grant @s only minecraft:adventure/lightning_charges
effect give @e[tag=bolt] invisibility infinite 1 true
effect give @e[tag=boltbeam] invisibility infinite 1 true
execute as @e[tag=boltrods] at @s unless entity @e[type=player,gamemode=survival,distance=0..10] run tp @s ~ ~ ~ ~10 ~
execute as @e[tag=boltrods] at @s if entity @e[type=player,gamemode=survival,distance=0..10] run tp @s ~ ~ ~ ~30 ~
execute as @e[tag=bolt] at @s if entity @e[tag=boltbeam,distance=0..4] run item replace entity @s armor.head with blaze_spawn_egg[minecraft:custom_model_data=6]
execute as @e[tag=bolt] at @s unless entity @e[tag=boltbeam,distance=0..4] run item replace entity @s armor.head with blaze_spawn_egg[minecraft:custom_model_data=8]
item replace entity @e[tag=boltrods] armor.head with blaze_spawn_egg[minecraft:custom_model_data=7]
execute as @e[tag=boltrods] at @s unless entity @e[tag=boltbeam,distance=0..4] run ride @s mount @e[tag=bolt,limit=1,distance=0..4]
execute as @e[tag=boltrods] at @s unless entity @e[tag=bolt,distance=0..7] run kill @s
execute as @e[tag=boltbeam] at @s unless entity @e[tag=bolt,distance=0..7] run kill @s
execute at @e[tag=boltbeam] run setblock ~ ~ ~ water[level=8] replace
execute at @e[tag=boltbeam] run fill ~ ~ ~1 ~ ~ ~1 air replace minecraft:water
execute at @e[tag=boltbeam] run fill ~1 ~ ~ ~1 ~ ~ air replace minecraft:water
execute at @e[tag=boltbeam] run fill ~-1 ~ ~ ~-1 ~ ~ air replace minecraft:water
execute at @e[tag=boltbeam] run fill ~ ~ ~-1 ~ ~ ~-1 air replace minecraft:water
execute as @e[tag=bolt] at @s run particle electric_spark ~ ~ ~ 1 2 1 0.001 1 normal
execute at @e[name="Lightning Charge",type=small_fireball] run summon lightning_bolt ~ ~ ~
execute as @e[name="Lightning Charge",type=small_fireball] at @s unless entity @e[tag=bolt,distance=0..15] run kill @s

#>player
execute as @p at @s run tp @e[type=marker] ^ ^6 ^6
execute as @e[nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",components:{"minecraft:custom_model_data":1}}}] if score @s coas matches 1 at @s run function minecraft:earthcharge
execute as @e[nbt={Inventory:[{Slot:-106b,id:"minecraft:carrot_on_a_stick",components:{"minecraft:custom_model_data":1}}]}] if score @s coas matches 1 at @s run function minecraft:earthcharge
execute as @e[tag=earthcharge] at @s unless block ~-1.1 ~ ~ air run kill @s
execute as @e[tag=earthcharge] at @s unless block ~ ~-1.1 ~ air run kill @s
execute as @e[tag=earthcharge] at @s unless block ~ ~ ~-1.1 air run kill @s
execute as @e[tag=earthcharge] at @s unless block ~1.1 ~ ~ air run kill @s
execute as @e[tag=earthcharge] at @s unless block ~ ~1.1 ~ air run kill @s
execute as @e[tag=earthcharge] at @s unless block ~ ~ ~1.1 air run kill @s
execute as @e[tag=earthcharged] at @s unless entity @e[tag=earthcharge,distance=0..1] run kill @s
execute as @e[tag=earthcharge] at @s run effect give @e[distance=0..1.9] slowness 30 2
execute as @e[tag=earthcharge] at @s run effect give @e[distance=0..1.9] weakness 30 1
execute as @e[nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",components:{"minecraft:custom_model_data":2}}}] if score @s coas matches 1 at @s run function minecraft:watercharge
execute as @e[nbt={Inventory:[{Slot:-106b,id:"minecraft:carrot_on_a_stick",components:{"minecraft:custom_model_data":2}}]}] if score @s coas matches 1 at @s run function minecraft:watercharge
execute as @e[tag=watercharged] at @s unless entity @e[tag=watercharge,distance=0..1] run kill @s
execute as @e[tag=watercharge] at @s run particle falling_water ~ ~ ~ 0 0 0 0.001 3 normal
execute as @e[tag=watercharge] at @s run effect give @e[distance=0..1.9] poison 30 2
execute as @e[tag=watercharge] at @s run effect give @e[distance=0..1.9] nausea 30 2
execute as @e[nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",components:{"minecraft:custom_model_data":3}}}] if score @s coas matches 1 at @s run function minecraft:firecharge
execute as @e[nbt={Inventory:[{Slot:-106b,id:"minecraft:carrot_on_a_stick",components:{"minecraft:custom_model_data":3}}]}] if score @s coas matches 1 at @s run function minecraft:firecharge
execute as @e[nbt={SelectedItem:{id:"minecraft:mace",components:{"minecraft:custom_model_data":1}}}] if score @s mace1 matches 1 at @s run effect give @s slow_falling 3 3
execute as @e[nbt={SelectedItem:{id:"minecraft:mace",components:{"minecraft:custom_model_data":1}}}] if score @s mace1 matches 1 at @s run effect give @s levitation 3 15 true
execute as @e[nbt={SelectedItem:{id:"minecraft:mace",components:{"minecraft:custom_model_data":1}}}] if score @s mace1 matches 1 at @s run effect give @s resistance 15 2
execute as @e[nbt={SelectedItem:{id:"minecraft:mace",components:{"minecraft:custom_model_data":1}}}] if score @s mace1 matches 1 at @s run effect give @s regeneration 5 10
execute as @e[nbt={SelectedItem:{id:"minecraft:mace",components:{"minecraft:custom_model_data":1}}}] if score @s mace1 matches 1 at @s run effect give @s fire_resistance
execute as @e[nbt={SelectedItem:{id:"minecraft:mace",components:{"minecraft:custom_model_data":1}}}] if score @s mace1 matches 1 at @s run summon fireball ^ ^ ^2 {ExplosionPower:3,Motion:[0d,-1d,0d]}
execute as @e[nbt={SelectedItem:{id:"minecraft:mace",components:{"minecraft:custom_model_data":2}}}] if score @s mace3 matches 5 at @s run function minecraft:attacks/bore/tremor
execute as @e[nbt={SelectedItem:{id:"minecraft:mace",components:{"minecraft:custom_model_data":2}}}] if score @s mace3 matches 5 at @s run effect give @s resistance
execute as @e[nbt={SelectedItem:{id:"minecraft:mace",components:{"minecraft:custom_model_data":2}}}] if score @s mace3 matches 5 at @s run effect give @s strength
execute as @e[nbt={SelectedItem:{id:"minecraft:mace",components:{"minecraft:custom_model_data":3}}}] if score @s mace2 matches 3 at @s run function minecraft:watercharge
execute as @e[nbt={SelectedItem:{id:"minecraft:mace",components:{"minecraft:custom_model_data":3}}}] if score @s mace2 matches 3 at @s run function minecraft:attacks/brine/transfer
execute as @e[nbt={SelectedItem:{id:"minecraft:mace",components:{"minecraft:custom_model_data":3}}}] if score @s mace1 matches 1 at @s run effect give @s slow_falling 5 1 
execute as @e[nbt={SelectedItem:{id:"minecraft:mace",components:{"minecraft:custom_model_data":3}}}] if score @s mace1 matches 1 at @s run effect give @s speed
execute as @e[nbt={SelectedItem:{id:"minecraft:mace",components:{"minecraft:custom_model_data":3}}}] if score @s mace1 matches 1 at @s run effect give @s jump_boost
execute as @e[nbt={SelectedItem:{id:"minecraft:mace",components:{"minecraft:custom_model_data":3}}}] at @s run effect give @s jump_boost 1 3 true
scoreboard players set @e[scores={mace1=1..}] mace1 0
scoreboard players set @e[scores={mace2=3..}] mace2 0
scoreboard players set @e[scores={mace3=5..}] mace3 0
execute as @e[nbt={SelectedItem:{id:"minecraft:mace"}}] run enchant @s minecraft:wind_burst 1
scoreboard players set @e[scores={coas=2..}] coas 0