# HOW TO USE:
# 1. Run "/scoreboard players set min spawning <minimum number>" to set a minimum number
# 2. Run "/scoreboard players set max spawning <maximum number>" to set a maximum number
# 3. Run "/function <your_pack_name>:spawning" to generate the number
# 4. Your ranom number between the given minimum and maximum is now stored as "out" in "spawning"
# (Get it with "/scoreboard players operation <PLAYER> <SCOREBOARD> = out spawning")
#
# *You don't need to set the minimum and maximum every time, it'll use the last used
# or the base which is min 0, max 100


# Activate the pack
execute unless entity @e[tag=spawningactive] run scoreboard objectives add spawning dummy
execute unless entity @e[tag=spawningactive] run scoreboard players set min spawning 0
execute unless entity @e[tag=spawningactive] run scoreboard players set max spawning 6
execute unless entity @e[tag=spawningactive] run summon area_effect_cloud ~ ~ ~ {Tags:["spawningbase"],Duration:1}
execute unless entity @e[tag=spawningactive] run execute store result score num spawning run data get entity @e[type=area_effect_cloud,limit=1,tag=spawningbase] UUID[0]
execute unless entity @e[tag=spawningactive] run scoreboard players set a spawning 48141429
execute unless entity @e[tag=spawningactive] run scoreboard players set b spawning 4819982
execute unless entity @e[tag=spawningactive] run scoreboard players set m spawning 924866
execute unless entity @e[tag=spawningactive] run execute at @a run summon minecraft:marker ~ ~ ~ {Tags:["spawningactive"]}

# Prepare to use a minimum different from 0
scoreboard players operation trueMax spawning = max spawning
scoreboard players operation trueMax spawning -= min spawning
scoreboard players add trueMax spawning 1

# Modify output
scoreboard players operation num spawning *= a spawning
scoreboard players operation num spawning += b spawning
scoreboard players operation out spawning = num spawning
scoreboard players operation out spawning %= m spawning
scoreboard players operation out spawning %= trueMax spawning
scoreboard players operation out spawning += min spawning

# Uncomment (remove the "# ") next line to print output
# tellraw @a {"score":{"name":"out","objective":"spawning"}}

# This module was made by Natural_Power
# You may use it any way you want as long as these stay inside the module
schedule function minecraft:spawning 25s
execute at @a[nbt={active_effects:[{id:"minecraft:trial_omen"}]}] positioned ~6 ~4 ~6 if score out spawning matches 5 unless entity @e[tag=bolt,distance=0..50] run function minecraft:summon/bolt
execute at @a[nbt={active_effects:[{id:"minecraft:trial_omen"}]}] positioned ~6 ~4 ~6 if score out spawning matches 5 unless entity @e[tag=bolt,distance=0..50] run particle flash ~ ~ ~ 0 0 0 0.001 3 force
execute at @a[nbt={active_effects:[{id:"minecraft:trial_omen"}]}] positioned ~6 ~4 ~6 if score out spawning matches 6 unless entity @e[tag=bolt,distance=0..50] run function minecraft:summon/bolt
execute at @a[nbt={active_effects:[{id:"minecraft:trial_omen"}]}] positioned ~6 ~4 ~6 if score out spawning matches 6 unless entity @e[tag=bolt,distance=0..50] run particle flash ~ ~ ~ 0 0 0 0.001 3 force
execute at @a[nbt={active_effects:[{id:"minecraft:raid_omen"}]}] positioned ~10 ~2 ~10 if score out spawning matches 7 unless entity @e[tag=bore,distance=0..50] run function minecraft:summon/bore
execute at @a[nbt={active_effects:[{id:"minecraft:raid_omen"}]}] positioned ~10 ~2 ~10 if score out spawning matches 8 unless entity @e[tag=bore,distance=0..50] run function minecraft:summon/bore