# HOW TO USE:
# 1. Run "/scoreboard players set min bolt <minimum number>" to set a minimum number
# 2. Run "/scoreboard players set max bolt <maximum number>" to set a maximum number
# 3. Run "/function <your_pack_name>:bolt" to generate the number
# 4. Your ranom number between the given minimum and maximum is now stored as "out" in "bolt"
# (Get it with "/scoreboard players operation <PLAYER> <SCOREBOARD> = out bolt")
#
# *You don't need to set the minimum and maximum every time, it'll use the last used
# or the base which is min 0, max 100


# Activate the pack
execute unless entity @e[tag=boltactive] run scoreboard objectives add bolt dummy
execute unless entity @e[tag=boltactive] run scoreboard players set min bolt 1
execute unless entity @e[tag=boltactive] run scoreboard players set max bolt 4
execute unless entity @e[tag=boltactive] run summon area_effect_cloud ~ ~ ~ {Tags:["boltbase"],Duration:1}
execute unless entity @e[tag=boltactive] run execute store result score num bolt run data get entity @e[type=area_effect_cloud,limit=1,tag=boltbase] UUID[0]
execute unless entity @e[tag=boltactive] run scoreboard players set a bolt 48141429
execute unless entity @e[tag=boltactive] run scoreboard players set b bolt 4819982
execute unless entity @e[tag=boltactive] run scoreboard players set m bolt 924866
execute unless entity @e[tag=boltactive] run execute at @a run summon minecraft:marker ~ ~ ~ {Tags:["boltactive"]}

# Prepare to use a minimum different from 0
scoreboard players operation trueMax bolt = max bolt
scoreboard players operation trueMax bolt -= min bolt
scoreboard players add trueMax bolt 1

# Modify output
scoreboard players operation num bolt *= a bolt
scoreboard players operation num bolt += b bolt
scoreboard players operation out bolt = num bolt
scoreboard players operation out bolt %= m bolt
scoreboard players operation out bolt %= trueMax bolt
scoreboard players operation out bolt += min bolt

# Uncomment (remove the "# ") next line to print output
# tellraw @a {"score":{"name":"out","objective":"bolt"}}

# This module was made by Natural_Power
# You may use it any way you want as long as these stay inside the module
schedule function minecraft:attacks/bolt 10t
execute as @e[tag=bolt] on target run execute at @s if entity @e[tag=bolt,distance=0..6] if score out bore matches 1 at @e[tag=bolt] as @e[tag=bolt] run function minecraft:attacks/bolt/lightning_charges
execute as @e[tag=bolt] on target run execute at @s if entity @e[tag=bolt,distance=0..6] if score out bore matches 2 at @e[tag=bolt] as @e[tag=bolt] run function minecraft:attacks/bolt/lightning_charges