# HOW TO USE:
# 1. Run "/scoreboard players set min bore <minimum number>" to set a minimum number
# 2. Run "/scoreboard players set max bore <maximum number>" to set a maximum number
# 3. Run "/function <your_pack_name>:bore" to generate the number
# 4. Your ranom number between the given minimum and maximum is now stored as "out" in "bore"
# (Get it with "/scoreboard players operation <PLAYER> <SCOREBOARD> = out bore")
#
# *You don't need to set the minimum and maximum every time, it'll use the last used
# or the base which is min 0, max 100


# Activate the pack
execute unless entity @e[tag=boreactive] run scoreboard objectives add bore dummy
execute unless entity @e[tag=boreactive] run scoreboard players set min bore 1
execute unless entity @e[tag=boreactive] run scoreboard players set max bore 4
execute unless entity @e[tag=boreactive] run summon area_effect_cloud ~ ~ ~ {Tags:["borebase"],Duration:1}
execute unless entity @e[tag=boreactive] run execute store result score num bore run data get entity @e[type=area_effect_cloud,limit=1,tag=borebase] UUID[0]
execute unless entity @e[tag=boreactive] run scoreboard players set a bore 48141429
execute unless entity @e[tag=boreactive] run scoreboard players set b bore 4819982
execute unless entity @e[tag=boreactive] run scoreboard players set m bore 924866
execute unless entity @e[tag=boreactive] run execute at @a run summon minecraft:marker ~ ~ ~ {Tags:["boreactive"]}

# Prepare to use a minimum different from 0
scoreboard players operation trueMax bore = max bore
scoreboard players operation trueMax bore -= min bore
scoreboard players add trueMax bore 1

# Modify output
scoreboard players operation num bore *= a bore
scoreboard players operation num bore += b bore
scoreboard players operation out bore = num bore
scoreboard players operation out bore %= m bore
scoreboard players operation out bore %= trueMax bore
scoreboard players operation out bore += min bore

# Uncomment (remove the "# ") next line to print output
# tellraw @a {"score":{"name":"out","objective":"bore"}}

# This module was made by Natural_Power
# You may use it any way you want as long as these stay inside the module
schedule function minecraft:bore 1s
execute if entity @e[tag=bore] if score out bore matches 1 as @e[tag=bore] at @s if entity @e[type=#minecraft:bore_attackables,distance=0..3] run function minecraft:attacks/bore/tremor
execute if entity @e[tag=bore] if score out bore matches 2 as @e[tag=bore] at @s if entity @e[type=#minecraft:bore_attackables,distance=0..3] run function minecraft:attacks/bore/tremor
execute if entity @e[tag=bore] if score out bore matches 1 as @e[tag=bore] at @s if entity @e[type=player,gamemode=survival,distance=0..3] run function minecraft:attacks/bore/tremor
execute if entity @e[tag=bore] if score out bore matches 2 as @e[tag=bore] at @s if entity @e[type=player,gamemode=survival,distance=0..3] run function minecraft:attacks/bore/tremor
execute if entity @e[tag=bore] if score out bore matches 3 as @e[tag=bore] at @s if entity @e[type=#minecraft:bore_attackables,distance=0..9] run function minecraft:attacks/bore/earth_charges
execute if entity @e[tag=bore] if score out bore matches 4 as @e[tag=bore] at @s if entity @e[type=#minecraft:bore_attackables,distance=0..9] run function minecraft:attacks/bore/earth_charges
execute if entity @e[tag=bore] if score out bore matches 3 as @e[tag=bore] at @s if entity @e[type=player,gamemode=survival,distance=0..9] run function minecraft:attacks/bore/earth_charges
execute if entity @e[tag=bore] if score out bore matches 4 as @e[tag=bore] at @s if entity @e[type=player,gamemode=survival,distance=0..9] run function minecraft:attacks/bore/earth_charges